Registration
POST/api/auth/app-code-verify
Check an email code
Pixelfed only No token
Body parameters
emailstringrequiredverify_codestringrequiredReturns
curl -X POST "https://pixelfed.social/api/auth/app-code-verify" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"email": "dansup@example.com",
"verify_code": "048213"
}'Response
{
"status": "success"
}POST/api/auth/onboarding
Complete in-app sign up
Pixelfed only No token
Body parameters
emailstringrequiredverify_codestringrequiredusernamestringrequirednamestringpasswordstringrequiredclient_idstringclient_secretstringscopestringReturns
curl -X POST "https://pixelfed.social/api/auth/onboarding" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"email": "dansup@example.com",
"verify_code": "048213",
"username": "dansup",
"name": "dansup",
"password": "harbour-fog-1987",
"client_id": "1842",
"client_secret": "q8V3zN1rKcT0fYd6LwP2sHbJ7mXeA9uR4oGiE5nC",
"scope": "read write follow push"
}'Response
{
"status": "success",
"domain": "pixelfed.social",
"token_type": "Bearer",
"access_token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJhdWQiOiIxODQyIn0.kM2p",
"refresh_token": "def50200a1c4e9b7f0d3a6c2e8b5f1d4a7c0e3b6",
"expires_in": 30758400,
"scope": ["read", "write", "follow", "push"],
"client_id": "1842",
"user": {
"pid": "2",
"username": "dansup"
},
"account": {
"id": "2",
"username": "dansup",
"acct": "dansup",
"display_name": "dansup",
"locked": false,
"followers_count": 0,
"following_count": 0,
"statuses_count": 0,
"url": "https://pixelfed.social/dansup",
"avatar": "https://pixelfed.social/storage/avatars/default.jpg",
"local": true,
"created_at": "2026-10-17T08:02:19.000000Z"
}
}GET/api/v1.1/auth/iarpfc
Check legacy app sign up
Pixelfed only No token
Returns
curl "https://pixelfed.social/api/v1.1/auth/iarpfc" \
-H "Accept: application/json"Response
{
"open": true,
"iara": true
}POST/api/v1.1/auth/iar
Start legacy sign up
Pixelfed only No token
Body parameters
emailstringrequiredusernamestringrequiredpasswordstringrequiredReturns
curl -X POST "https://pixelfed.social/api/v1.1/auth/iar" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"email": "dansup@example.com",
"username": "dansup",
"password": "harbour-fog-1987"
}'Response
{
"success": true
}GET/api/v1.1/auth/iarer
Legacy email redirect
Pixelfed only No token
Query parameters
utstringrequiredrtstringrequiredeastringrequiredReturns
curl "https://pixelfed.social/api/v1.1/auth/iarer?ut=7Hq2LmZ9xVb4NcR1sTe8KpW3yUa6JdF0gOiE5nXz&rt=Rk4vT9pLq2Wm7Zc1Xs8Nb3Ye6Ja0Hd5Gf9Uo2Ii7Ee4Rt1Lq8Wm3Zc6Xs0Nb5Ye9Ja2Hd7Gf4Uo1Ii6Ee3R&ea=bWFyYUBleGFtcGxlLmNvbQ==" \
-H "Accept: application/json"Response
nullPOST/api/v1.1/auth/iarc
Confirm legacy sign up
Pixelfed only No token
Body parameters
user_tokenstringrequiredrandom_tokenstringrequiredemailstringrequiredReturns
curl -X POST "https://pixelfed.social/api/v1.1/auth/iarc" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"user_token": "7Hq2LmZ9xVb4NcR1sTe8KpW3yUa6JdF0gOiE5nXz",
"random_token": "Rk4vT9pLq2Wm7Zc1Xs8Nb3Ye6Ja0Hd5Gf9Uo2Ii7Ee4Rt1Lq8Wm3Zc6Xs0Nb5Ye9Ja2Hd7Gf4Uo1Ii6Ee3R",
"email": "dansup@example.com"
}'Response
{
"access_token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJhdWQiOiIxIn0.Zq7d"
}POST/api/v1.1/auth/invite/admin/verify
Check an invite
Pixelfed only No token
Body parameters
tokenstringrequiredReturns
curl -X POST "https://pixelfed.social/api/v1.1/auth/invite/admin/verify" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"token": "Xb7kQ2mZ9pLc"
}'Response
{
"message": "Welcome to the photo walk crew!",
"max_uses": 25,
"sev": true
}POST/api/v1.1/auth/invite/admin/uc
Check a username for an invite
Pixelfed only No token
Body parameters
tokenstringrequiredusernamestringrequiredReturns
curl -X POST "https://pixelfed.social/api/v1.1/auth/invite/admin/uc" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"token": "Xb7kQ2mZ9pLc",
"username": "dansup"
}'Response
[]POST/api/v1.1/auth/invite/admin/ec
Check an email for an invite
Pixelfed only No token
Body parameters
tokenstringrequiredemailstringrequiredReturns
curl -X POST "https://pixelfed.social/api/v1.1/auth/invite/admin/ec" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"token": "Xb7kQ2mZ9pLc",
"email": "dansup@example.com"
}'Response
[]